<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="orderShipmentItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idOrderShipmentItem" 
        (onLazyLoad)="loadDataLazy($event)" 
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['order-shipment-item-popup-new-list', null] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderShipmentItem.qty'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qty | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.qty"
                     [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderShipmentItem.orderItem'|translate}}" *ngIf="idOrderItem === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.orderItemId">
                    <a [routerLink]="['../order-item', rowData.orderItemId  ]" >{{rowData.orderItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderShipmentItem.shipmentItem'|translate}}" *ngIf="idShipmentItem === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipmentItemId">
                    <a [routerLink]="['../shipment-item', rowData.shipmentItemId  ]" >{{rowData.shipmentItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'order-shipment-item/'+ rowData.idOrderShipmentItem + '/edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <button pButton type="button"
                    (click)="delete(rowData.idOrderShipmentItem)"
                    icon="fa-remove"
                    class="flat-button">
                </button>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
